rb_cputime.d(1m)

NAME
rb_cputime.d - measure Ruby on-CPU times for types of operation.

SYNOPSIS
rb_cputime.d

DESCRIPTION
This traces Ruby activity from all programs running on the system with Ruby provider support. Filename and method names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Ruby provider, which may change as additional features are introduced. Check Ruby/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # rb_cputime.d

FIELDS

FILE
    Filename of the Ruby program

TYPE
    Type of call (method/obj-new/gc/total)

NAME
    Name of call

TOTAL
    Total on-CPU time for calls (us)

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
rb_cputime.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)